#
# spec file for package perl-Image-Info (Version 1.07)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-IO-String
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-IO-String ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Image-Info
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Requires:     perl-IO-String
Provides:     Image-Info
Autoreqprov:  on
Summary:      Perl module to extract meta data from images
Version:      1.07
Release:      32
Source:	      Image-Info-%{version}.tar.gz
BuildRoot:    /var/tmp/%{name}-build

%description
This Perl extension allows you to extract meta information from
various types of image files.  In this release the following file
formats are supported:

   JPEG (plain JFIF and Exif)
   PNG
   GIF
   PBM/PGM/PPM
   SVG
   XBM/XPM
   BMP/DIB/RLE

SuSE series: perl

%prep
%setup -n Image-Info-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Image-Info
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Image/Info
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist.n
mv .packlist.n .packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes README
%doc %{_mandir}/man3/Image::Info*
%dir /usr/lib/perl5/site_perl/5.*/*-linux/auto/Image
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Image/Info
%dir /usr/lib/perl5/site_perl/5.*/Image
/usr/lib/perl5/site_perl/5.*/Image/Info.pm
/usr/lib/perl5/site_perl/5.*/Image/Info
/var/adm/perl-modules/perl-Image-Info

%changelog -n perl-Image-Info
* Mon Aug 13 2001 - kukuk@suse.de
- Initial version
